Subject: [nfsv4] [FedFS] NSDB replication

From: James Lentini <[email-masked]>
Date: Wed, 25 Mar 2009 18:15:52 -0400 (EDT)

During today's FedFS presentation at the working group meeting, we 
discussed the NSDB's replication requirements. This topic is discussed 
in the latest NSDB draft:

 http://www.ietf.org/internet-drafts/draft-ietf-nfsv4-federated-fs-protocol-01.txt

in the fourth paragraph of Section 3.4:

   An NSDB MAY be replicated throughout the federation.  If an NSDB is
   replicated, the NSDB MUST exhibit loose, converging consistency as
   defined in [RFC3254].  The mechanism by which this is achieved is
   outside the scope of this document.  Many LDAP implementations
   support replication.  These features MAY be used to replicate the
   NSDB.

We'd appreciate feedback from the group on this text.

-james